Connect the priorities of the Community Wishlist and other tech priorities with GSoC 2016 and Outreachy Round 12
Closed, ResolvedPublic

Description

This is the GSoC and Outreachy equivalent of T119703: Goal: Connect the priorities of the Community Wishlist and other tech priorities with the Wikimedia Hackathon 2016.

Which tasks of these wishlists are a good fit for internship programs?

Qgil created this task.Feb 15 2016, 10:26 AM
Qgil updated the task description. (Show Details)
Qgil raised the priority of this task from to Needs Triage.
Qgil added subscribers: Qgil, Johan, Quiddity and 2 others.
Restricted Application added a project: TCB-Team. · View Herald TranscriptFeb 15 2016, 10:26 AM
Restricted Application added subscribers: JEumerus, StudiesWorld. · View Herald Transcript
Johan set Security to None.

In the case of T119703 the initial connection was very simple, and I think here we can do almost the same. For instance:

  1. Someone from Community-Tech goes through the Community Wishlist and pastes here a list of recommended tasks.
  2. The rest of the team and others go through the initial proposal and polish it.
  3. The GSoC / Outreachy org admins add the Possible-Tech-Projects tag, and move these tasks to the Missing Mentors column in the workboard.
  4. https://www.mediawiki.org/wiki/Outreach_programs/Life_of_a_successful_project#Coming_up_with_a_proposal and https://www.mediawiki.org/wiki/Outreach_programs/Possible_projects#Project_ideas should have a link to the Community Wishlist, encouraging candidates to look for project ideas there.

This is not much extra work. Once this is done, then the work of matching candidates with mentors will need to be done as usual, but hopefully the Community Wishlist will be driving the agenda.

Candidates and mentors willing to push non-CW project ideas can continue to do so, of course.

What do you think about this plan?

Looks good, and in case - we need to be ping Community-Tech team fast to pull out relevant stuff from https://meta.wikimedia.org/wiki/2015_Community_Wishlist_Survey/Results.

Sumit added a comment.EditedFeb 16 2016, 1:13 PM

In the case of T119703 the initial connection was very simple, and I think here we can do almost the same. For instance:

  1. https://www.mediawiki.org/wiki/Outreach_programs/Life_of_a_successful_project#Coming_up_with_a_proposal and https://www.mediawiki.org/wiki/Outreach_programs/Possible_projects#Project_ideas should have a link to the Community Wishlist, encouraging candidates to look for project ideas there.

Done! and the above idea looks good.

Also, @Qgil and @01tonythomas , like in T119703 do you think that we should pull in MobileApps and Wikidata early at this stage as they could have interesting projects but not well scoped. This would give us more time to define their scope.
However, I'm not sure if we need separate dedicated subtasks for that purpose?

Sumit added a subscriber: Niharika.Feb 16 2016, 1:31 PM

@Sumit, thank you for the quick steps.

I'm CCing @Lydia_Pintscher (Wikidata) and @dr0ptp4kt (Mobile Apps) just to make sure that they are aware of this activity. However, let's not put pressure on their teams. Both know about the GSoC / Outreachy deal, in some rounds they are more active and in some rounds less so.

Lydia, Adam, in case you are wondering, here is the timeline for the internships: https://www.mediawiki.org/wiki/Google_Summer_of_Code_2016#Timeline

There is some overlap between Hackathon and these programs at the beginning, when it's time to propose project ideas and evaluate candidates, but the internships themselves run entirely after the hackathon.

For Wikidata we are happy to mentor a self-motivated student on projects listed in T90870: selfcontained projects around Wikidata (tracking).

Qgil added a comment.Feb 17 2016, 10:42 AM

Then these projects should be tagged with Possible-Tech-Projects and be moved to the appropriate column.

Here are the tasks identified by Community Tech as recommended tasks for GSoC/Hackathon work, based on the following criteria:

  • Scope is well-defined and specific, or there's a small-scope piece of the proposal that could be broken off from the larger idea.
  • Not particularly controversial, won't need further community discussion before you get started
  • Minimal design needs

#13: T120454: Dark archive for Commons
https://meta.wikimedia.org/wiki/2015_Community_Wishlist_Survey/Commons#Dark_archive

#15: T120733: Improve date range searches on Special:Contributions Well scoped, clearly defined, minimal design.
https://meta.wikimedia.org/wiki/2015_Community_Wishlist_Survey/Moderation_and_admin_tools#Improve_date_range_searches_on_Special:Contributions

#21: T120462: Reduce edit conflicts by treating different parts of the page as separate A very open-ended, vague proposal, but there's a small chunk that would be perfect: "Treat the addition of a template at the top of an article or a category at the end as not conflicting with the alteration of the contents in between." There's also possible room for creative devs to figure other small-scale, non-controversial improvements along those lines. Improvements here likely will also benefit T121469: Improve diff compare screen.
https://meta.wikimedia.org/wiki/2015_Community_Wishlist_Survey/Editing#Halve_edit_conflicts

#22: T63022: Add ability to thank anonymous/IP users Well-scoped, clearly defined.
https://meta.wikimedia.org/wiki/2015_Community_Wishlist_Survey/Notifications#Modify_.22Thank_you.22_so_we_can_thank_anonymous_editors

#24: T120475: Make it easier to cite different pages from a book as one reference Well-scoped, an interesting and helpful project.
https://meta.wikimedia.org/wiki/2015_Community_Wishlist_Survey/Editing#Make_it_easier_to_cite_different_pages_from_a_book_as_one_reference

#25: T120788: Tool to use Google OCRs in Indic language Wikisource
https://meta.wikimedia.org/wiki/2015_Community_Wishlist_Survey/Wikisource#Tool_to_use_Google_OCRs_in_Indic_language_Wikisource

#27: T109561: Provide a means of searching for deleted pages Well-defined, would be very useful for admins.
https://meta.wikimedia.org/wiki/2015_Community_Wishlist_Survey/Search#Provide_a_means_of_searching_for_deleted_pages

#36: T120756: Reading List
https://meta.wikimedia.org/wiki/2015_Community_Wishlist_Survey/Reading#Reading_List

#43: T22307: Generate automatic summary /* blah */ when I manually add a section heading when editing Well-defined, not controversial, could be very helpful.
https://meta.wikimedia.org/wiki/2015_Community_Wishlist_Survey/Editing#Generate_automatic_summary_.2F.2A_blah_.2A.2F_when_I_manually_add_a_section_heading_when_editing

#47: T120478: Page contributors as a prototype. Might need design help and community approval later, but a working prototype would help.
https://meta.wikimedia.org/wiki/2015_Community_Wishlist_Survey/Editing#Page_contributors

#58: T120738: List of content contributors
https://meta.wikimedia.org/wiki/2015_Community_Wishlist_Survey/Moderation_and_admin_tools#List_of_contributors

Before there is further movement on these tasks, I have some comments:

Here are the tasks identified by Community Tech as recommended tasks for GSoC/Hackathon work, based on the following criteria:

#22: T63022: Add ability to thank anonymous/IP users Well-scoped, clearly defined.
https://meta.wikimedia.org/wiki/2015_Community_Wishlist_Survey/Notifications#Modify_.22Thank_you.22_so_we_can_thank_anonymous_editors

This task is not going to be easy for a GSoC student. Nor is there consensus on how, if at all, this may be implemented. I'd suggest we leave this out for upcoming GSoC and try to get more input from senior developers first.

#25: T120788: Tool to use Google OCRs in Indic language Wikisource
https://meta.wikimedia.org/wiki/2015_Community_Wishlist_Survey/Wikisource#Tool_to_use_Google_OCRs_in_Indic_language_Wikisource

This project can be left out as well as there has been a lot of active development on this in the past few weeks. There is a tool that now works well but needs some code improvements and proper hosting.

#43: T22307: Generate automatic summary /* blah */ when I manually add a section heading when editing Well-defined, not controversial, could be very helpful.
https://meta.wikimedia.org/wiki/2015_Community_Wishlist_Survey/Editing#Generate_automatic_summary_.2F.2A_blah_.2A.2F_when_I_manually_add_a_section_heading_when_editing

Might actually be a little too small for a GSoC project. It's not more than 5-7 days of work for an experienced developer. CC @kaldari - what do you think?

Rest of them look good! Thanks @DannyH!

For Wikidata we are happy to mentor a self-motivated student on projects listed in T90870: selfcontained projects around Wikidata (tracking).

Thank you for this one @Lydia_Pintscher. I took a quick look at T90870, and I see tasks marked with [Story] and [Task]. I want to know which one of them would fit the GSoC/Outreachy norms, which is something similar to what @Niharika quoted in the previous comment: "Good internship projects should take about 2 weeks for a senior developer" . Once we have that, adding Possible-Tech-Projects would be the next steps.

Qgil added a comment.Feb 18 2016, 9:39 AM

Thank you @DannyH for the list, and thank you @Niharika for fine tuning it. Considering that we are getting requests from new candidates as we speak (I got three in the past days), I would tag the tasks not disputed by Niharika with #Possibe-Tech-Projects, I would move them to the Missing Mentors column, and I would send a batch comment to all the tasks asking for volunteer mentors.

I've shared this task URL with Reading engineers who report to me.

Johan added a comment.Feb 22 2016, 1:21 PM

@DannyH, @Niharika: Are you happy about this list? If so, I'll tag the the tasks in question and move them to the right column.

@DannyH, @Niharika: Are you happy about this list? If so, I'll tag the the tasks in question and move them to the right column.

Happy with it. @Sumit and @01tonythomas are the org admins for this round. They can handle this.

Sumit added a comment.Feb 22 2016, 5:35 PM

@DannyH, @Niharika: Are you happy about this list? If so, I'll tag the the tasks in question and move them to the right column.

Thanks! Those were imported by Tony in T127291

This looks good. I'm excited to see what people do with these. :)

We had to move T120454 ( Dark archive for Commons ) back to needs discussion, as it seems to be bit out of scope, as per T120454#2058825. If someone can define a better scope for it, or come forward with a mentoring plan - maybe this one can make it to the featured projects list.

@Lydia_Pintscher: In the list of blocked tasks in T90870, could you tag "bigger" projects (~2w for an experienced dev) with Possible-Tech-Projects?

Qgil added a comment.Feb 25 2016, 10:31 PM

Who wants to take ownership of this task? It will continue to be an effort of many, but having someone assigned, a person ultimately responsible, does help.

Johan moved this task from Backlog to Do now on the User-Johan board.Feb 26 2016, 2:40 PM

It is a fact that we need to work on this task in March, and it is a fact that as of today it has no owner... :(

Qgil triaged this task as High priority.Mar 8 2016, 10:59 AM
Niharika claimed this task.Mar 8 2016, 2:35 PM

I think I can step in and take ownership of this task. Only natural for me to do so after having been an org admin for GSoC and a present team member of Community Tech. :)

Qgil awarded a token.Mar 8 2016, 3:35 PM
Sumit added a comment.Apr 3 2016, 9:17 PM

Application phase of both programs are over, so I suppose time to close?

Sumit closed this task as Resolved.Apr 3 2016, 9:19 PM
Tobi_WMDE_SW moved this task from Incoming to Done on the TCB-Team board.Apr 19 2016, 11:22 AM
Johan moved this task from Do now to Archive on the User-Johan board.Nov 29 2016, 4:33 PM